// Espera que o DOM esteja completamente carregado antes de executar o código
document.addEventListener('DOMContentLoaded', function () {
    
    // Seleciona o elemento do cursor personalizado
    const cursor = document.getElementById('custom-cursor');

    // Adiciona um listener para o evento de movimento do mouse
    document.addEventListener('mousemove', function (e) {
      // Obtém as coordenadas X e Y do cursor do mouse
      const x = e.clientX;
      const y = e.clientY;

      // Atualiza a posição do cursor personalizado de acordo com as coordenadas do mouse
      cursor.style.left = x + 'px';
      cursor.style.top = y + 'px';
    })

    // Adiciona um listener para o evento de envio do formulário
    document.getElementById('formulario').addEventListener('submit', enviarDados);
});


// URL e chave de API do Supabase
const supabaseURL = "https://ycyquwkqvjrwxkkfphdy.supabase.co";
const supabaseAPIKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6InljeXF1d2txdmpyd3hra2ZwaGR5Iiwicm9sZSI6ImFub24iLCJpYXQiOjE3MTE1NzY3ODUsImV4cCI6MjAyNzE1Mjc4NX0.URB1EljCsRybUkZdvoebl9q1lTAE7hfJiUwpGP7PtLA";

// Função para enviar os dados do formulário para o Supabase
async function enviarDados(event) {
    
    event.preventDefault(); // Evita que o formulário seja enviado normalmente

    // Obtém os dados do formulário
    const formData = new FormData(document.getElementById('formulario'));
    const nome = formData.get('nome');
    const idade = formData.get('idade');
    const escola = formData.get('escola');

    try {
        // Envia os dados para o Supabase usando a API REST
        const response = await fetch(`${supabaseURL}/rest/v1/Utilizador?apikey=${supabaseAPIKey}`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({ nome, idade, escola })
        });

        // Verifica se a resposta foi bem-sucedida
        if (response.ok) {
            alert("Inscrição concluída!!!");
            // Limpa o formulário após o envio bem-sucedido
            document.getElementById('formulario').reset();
        } else {
            throw new Error('Erro ao enviar os dados para o Supabase');
        }
    } catch (error) {
        console.error("Erro ao enviar dados para a Supabase:", error);
        alert("Ocorreu um erro ao enviar os dados. Por favor, tente novamente mais tarde.");
    }
}
